summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Evans <grknight@gentoo.org>2018-04-06 13:03:30 -0400
committerBrian Evans <grknight@gentoo.org>2018-04-06 13:03:30 -0400
commit682b3d83c8d50ff1ea5262b18a030a775832edef (patch)
tree8b97194ef2aecc8b8c0cc78fcdf5cf3fb4945834 /dev-php
parentnet-p2p/cpuminer-opt: 3.8.6.1 version bump (diff)
downloadgentoo-682b3d83c8d50ff1ea5262b18a030a775832edef.tar.gz
gentoo-682b3d83c8d50ff1ea5262b18a030a775832edef.tar.bz2
gentoo-682b3d83c8d50ff1ea5262b18a030a775832edef.zip
dev-php/pecl-rrd: Revbump for php 7.2; fix tests
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'dev-php')
-rw-r--r--dev-php/pecl-rrd/pecl-rrd-2.0.1-r2.ebuild42
-rw-r--r--dev-php/pecl-rrd/pecl-rrd-2.0.1-r3.ebuild57
2 files changed, 57 insertions, 42 deletions
diff --git a/dev-php/pecl-rrd/pecl-rrd-2.0.1-r2.ebuild b/dev-php/pecl-rrd/pecl-rrd-2.0.1-r2.ebuild
deleted file mode 100644
index 08528ee02ab..00000000000
--- a/dev-php/pecl-rrd/pecl-rrd-2.0.1-r2.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-# Define 5.6 here to have the {,REQUIRED_}USE generated
-USE_PHP="php5-6 php7-0 php7-1"
-
-inherit php-ext-pecl-r3
-
-# But we really only build 7.0
-USE_PHP="php7-0 php7-1"
-
-DESCRIPTION="RRDtool bindings for PHP"
-LICENSE="BSD"
-SLOT="7"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="
- php_targets_php7-0? ( net-analyzer/rrdtool[graph] )
- php_targets_php7-1? ( net-analyzer/rrdtool[graph] )
-"
-RDEPEND="${DEPEND} php_targets_php5-6? ( ${CATEGORY}/${PN}:0 )"
-
-src_prepare() {
- if use php_targets_php7-0 || use php_targets_php7-1 ; then
- php-ext-source-r3_src_prepare
- else
- default_src_prepare
- fi
-}
-
-src_configure() {
- local PHP_EXT_ECONF_ARGS=()
- php-ext-source-r3_src_configure
-}
-
-src_install() {
- if use php_targets_php7-0 || use php_targets_php7-1 ; then
- php-ext-pecl-r3_src_install
- fi
-}
diff --git a/dev-php/pecl-rrd/pecl-rrd-2.0.1-r3.ebuild b/dev-php/pecl-rrd/pecl-rrd-2.0.1-r3.ebuild
new file mode 100644
index 00000000000..8a4100b18f9
--- /dev/null
+++ b/dev-php/pecl-rrd/pecl-rrd-2.0.1-r3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# Define 5.6 here to have the {I,REQUIRED_}USE generated
+USE_PHP="php5-6 php7-0 php7-1 php7-2"
+
+inherit php-ext-pecl-r3
+
+# But we really only build 7.0
+USE_PHP="php7-0 php7-1 php7-2"
+
+DESCRIPTION="RRDtool bindings for PHP"
+LICENSE="BSD"
+SLOT="7"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ php_targets_php7-0? ( net-analyzer/rrdtool[graph] )
+ php_targets_php7-1? ( net-analyzer/rrdtool[graph] )
+ php_targets_php7-2? ( net-analyzer/rrdtool[graph] )
+"
+RDEPEND="${DEPEND} php_targets_php5-6? ( ${CATEGORY}/${PN}:0 )"
+
+src_prepare() {
+ if use php_targets_php7-0 || use php_targets_php7-1 || use php_targets_php7-2 ; then
+ php-ext-source-r3_src_prepare
+ else
+ default
+ fi
+}
+
+src_configure() {
+ if use php_targets_php7-0 || use php_targets_php7-1 || use php_targets_php7-2 ; then
+ local PHP_EXT_ECONF_ARGS=()
+ php-ext-source-r3_src_configure
+ fi
+}
+
+src_install() {
+ if use php_targets_php7-0 || use php_targets_php7-1 || use php_targets_php7-2 ; then
+ php-ext-pecl-r3_src_install
+ fi
+}
+
+src_test() {
+ local slot
+ if use php_targets_php7-0 || use php_targets_php7-1 || use php_targets_php7-2 ; then
+ for slot in $(php_get_slots); do
+ php_init_slot_env "${slot}"
+ # Prepare test data
+ emake -C tests/data all
+ NO_INTERACTION="yes" emake test
+ done
+ fi
+}